# 千家前端vue项目脚手架

+ 关闭生产环境devtool: '#source-map'
+ 开启生产环境productionGzip: true
## script 说明
```
 "scripts": {
     // 本地开发连接后端服务
    "dev": "webpack-dev-server --inline --progress --config build/webpack.dev.conf.js",
    "start": "npm run dev",
    // 本地开发连接200服务
    "start-lan": "cross-env NODE_ENV=lan npm start",
    // 本地开发连接188服务
    "start-dtest": "cross-env NODE_ENV=dtest npm start",
    // 本地开发连接release
    "start-pred": "cross-env NODE_ENV=pred npm start",
    // 200 构建
    "lan": "node build/lan.js",
    // 188 构建
    "dtest": "node build/dtest.js",
    // release 构建
    "pred": "node build/pred.js",
    // production 构建
    "build": "node build/build.js",
    "http": "http-server ./dist -p 8899",
    // 200构建本地通过8899访问
    "http-lan": "npm run lan && npm run http",
    // 188构建本地通过8899访问
    "http-dtest": "npm run dtest && npm run http",
    // release构建本地通过8899访问
    "http-pred": "npm run pred && npm run http",
    // production构建本地通过8899访问
    "http-prod": "npm run build && npm run http"
  },
```